`configure' configures BIND 9.18.2 to adapt to many kinds of systems.

Usage: ./configure [OPTION]... [VAR=VALUE]...

To assign environment variables (e.g., CC, CFLAGS...), specify them as
VAR=VALUE.  See below for descriptions of some of the useful variables.

Defaults for the options are specified in brackets.

Configuration:
  -h, --help              display this help and exit
      --help=short        display options specific to this package
      --help=recursive    display the short help of all the included packages
  -V, --version           display version information and exit
  -q, --quiet, --silent   do not print `checking ...' messages
      --cache-file=FILE   cache test results in FILE [disabled]
  -C, --config-cache      alias for `--cache-file=config.cache'
  -n, --no-create         do not create output files
      --srcdir=DIR        find the sources in DIR [configure dir or `..']

Installation directories:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [/usr/local]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [PREFIX]

By default, `make install' will install all the files in
`/usr/local/bin', `/usr/local/lib' etc.  You can specify
an installation prefix other than `/usr/local' using `--prefix',
for instance `--prefix=$HOME'.

For better control, use the options below.

Fine tuning of the installation directories:
  --bindir=DIR            user executables [EPREFIX/bin]
  --sbindir=DIR           system admin executables [EPREFIX/sbin]
  --libexecdir=DIR        program executables [EPREFIX/libexec]
  --sysconfdir=DIR        read-only single-machine data [PREFIX/etc]
  --sharedstatedir=DIR    modifiable architecture-independent data [PREFIX/com]
  --localstatedir=DIR     modifiable single-machine data [PREFIX/var]
  --runstatedir=DIR       modifiable per-process data [LOCALSTATEDIR/run]
  --libdir=DIR            object code libraries [EPREFIX/lib]
  --includedir=DIR        C header files [PREFIX/include]
  --oldincludedir=DIR     C header files for non-gcc [/usr/include]
  --datarootdir=DIR       read-only arch.-independent data root [PREFIX/share]
  --datadir=DIR           read-only architecture-independent data [DATAROOTDIR]
  --infodir=DIR           info documentation [DATAROOTDIR/info]
  --localedir=DIR         locale-dependent data [DATAROOTDIR/locale]
  --mandir=DIR            man documentation [DATAROOTDIR/man]
  --docdir=DIR            documentation root [DATAROOTDIR/doc/bind]
  --htmldir=DIR           html documentation [DOCDIR]
  --dvidir=DIR            dvi documentation [DOCDIR]
  --pdfdir=DIR            pdf documentation [DOCDIR]
  --psdir=DIR             ps documentation [DOCDIR]

Program names:
  --program-prefix=PREFIX            prepend PREFIX to installed program names
  --program-suffix=SUFFIX            append SUFFIX to installed program names
  --program-transform-name=PROGRAM   run sed PROGRAM on installed program names

System types:
  --build=BUILD     configure for building on BUILD [guessed]
  --host=HOST       cross-compile to build programs to run on HOST [BUILD]
  --target=TARGET   configure for building compilers for TARGET [HOST]

Optional Features:
  --disable-option-checking  ignore unrecognized --enable/--with options
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  --enable-silent-rules   less verbose build output (undo: "make V=1")
  --disable-silent-rules  verbose build output (undo: "make V=0")
  --disable-maintainer-mode
                          disable make rules and dependencies not useful (and
                          sometimes confusing) to the casual installer
  --enable-dependency-tracking
                          do not reject slow dependency extractors
  --disable-dependency-tracking
                          speeds up one-time build
  --disable-largefile     omit support for large files
  --enable-static[=PKGS]  build static libraries [default=no]
  --enable-shared[=PKGS]  build shared libraries [default=yes]
  --enable-fast-install[=PKGS]
                          optimize for fast installation [default=yes]
  --disable-libtool-lock  avoid locking (might break parallel builds)
  --enable-developer      enable developer build settings
  --enable-warn-error     turn on -Werror when compiling
  --enable-buffer-useinline
                          define ISC_BUFFER_USEINLINE when compiling
                          [default=yes]
  --enable-fuzzing=<afl|libfuzzer|ossfuzz>
                          Enable fuzzing using American Fuzzy Lop or libFuzzer
                          (default=no)
  --enable-kqueue         use BSD kqueue when available [default=yes]
  --enable-epoll          use Linux epoll when available [default=auto]
  --enable-devpoll        use /dev/poll when available [default=yes]
  --disable-geoip         support GeoIP2 geolocation ACLs if available
                          [default=yes]
  --disable-doh           enable DNS over HTTPS, requires libnghttp2
                          (default=yes)
  --enable-pthread-rwlock use pthread rwlock instead of internal rwlock
                          implementation
  --enable-fips-mode      enable FIPS mode in OpenSSL library [default=no]
  --disable-tcp-fastopen  disable TCP Fast Open support [default=yes]
  --disable-chroot        disable chroot
  --disable-linux-caps    disable Linux capabilities
  --enable-fixed-rrset    enable fixed rrset ordering [default=no]
  --enable-dnstap         enable dnstap support (requires fstrm, protobuf-c)
  --enable-singletrace    enable single-query trace logging [default=no]
  --enable-querytrace     enable very verbose query trace logging [default=no]
  --enable-auto-validation
                          turn on DNSSEC validation by default, using the IANA
                          root key [default=yes]
  --enable-dnsrps-dl      DNS Response Policy Service delayed link
                          [default=$librpz_dl]
  --enable-dnsrps         enable DNS Response Policy Service API
  --enable-full-report    report values of all configure options

Optional Packages:
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --with-pic[=PKGS]       try to use only PIC/non-PIC objects [default=use
                          both]
  --with-aix-soname=aix|svr4|both
                          shared library versioning (aka "SONAME") variant to
                          provide on AIX, [default=aix].
  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
  --with-sysroot[=DIR]    Search for dependent libraries within DIR (or the
                          compiler's sysroot if not specified).
  --with-maxminddb=PATH   Build with MaxMind GeoIP2 support (auto|yes|no|path)
                          [default=auto]
  --with-locktype=ARG     Specify mutex lock type (adaptive or standard)
  --with-libnghttp2       build with libnghttp2 library [yes|no|auto] (default
                          is auto)
  --with-openssl=DIR      root of the OpenSSL directory
  --with-gssapi=PATH|[/path/]krb5-config
                          Specify path for system-supplied GSSAPI
                          [default=auto]
  --with-lmdb=[PATH]      use LMDB library [default=auto], optionally specify
                          the prefix for lmdb library
  --with-libxml2          build with libxml2 library [yes|no|auto] (default is
                          auto)
  --with-json-c           build with json-c library [yes|no|detect] (default
                          is detect)
  --with-zlib             build with zlib for HTTP compression [default=yes]
  --with-readline=yes|no|libedit|readline
                          specify readline library [default auto]
  --with-libidn2=PATH     enable IDN support using GNU libidn2
                          [yes|no(default)|path]
  --with-cmocka=detect    enable CMocka based tests (default is detect)
  --with-jemalloc=detect  enable jemalloc memory allocator (default is detect)
  --with-tuning=ARG       Specify server tuning (default or small)
  --with-dnsrps-libname   DNSRPS provider library name (librpz.so)
  --with-dnsrps-dir       path to DNSRPS provider library

Some influential environment variables:
  CC          C compiler command
  CFLAGS      C compiler flags
  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
              nonstandard directory <lib dir>
  LIBS        libraries to pass to the linker, e.g. -l<library>
  CPPFLAGS    (Objective) C/C++ preprocessor flags, e.g. -I<include dir> if
              you have headers in a nonstandard directory <include dir>
  CPP         C preprocessor
  LT_SYS_LIBRARY_PATH
              User-defined run-time library search path.
  PKG_CONFIG  path to pkg-config utility
  PKG_CONFIG_PATH
              directories to add to pkg-config's search path
  PKG_CONFIG_LIBDIR
              path overriding pkg-config's built-in search path
  PYTHON      the Python interpreter
  MAXMINDDB_CFLAGS
              C compiler flags for MAXMINDDB, overriding pkg-config
  MAXMINDDB_LIBS
              linker flags for MAXMINDDB, overriding pkg-config
  MAXMINDDB_PREFIX
              value of prefix for libmaxminddb, overriding pkg-config
  LIBUV_CFLAGS
              C compiler flags for LIBUV, overriding pkg-config
  LIBUV_LIBS  linker flags for LIBUV, overriding pkg-config
  LIBNGHTTP2_CFLAGS
              C compiler flags for LIBNGHTTP2, overriding pkg-config
  LIBNGHTTP2_LIBS
              linker flags for LIBNGHTTP2, overriding pkg-config
  OPENSSL_CFLAGS
              C compiler flags for OPENSSL, overriding pkg-config
  OPENSSL_LIBS
              linker flags for OPENSSL, overriding pkg-config
  LMDB_CFLAGS C compiler flags for LMDB, overriding pkg-config
  LMDB_LIBS   linker flags for LMDB, overriding pkg-config
  LIBXML2_CFLAGS
              C compiler flags for LIBXML2, overriding pkg-config
  LIBXML2_LIBS
              linker flags for LIBXML2, overriding pkg-config
  JSON_C_CFLAGS
              C compiler flags for JSON_C, overriding pkg-config
  JSON_C_LIBS linker flags for JSON_C, overriding pkg-config
  ZLIB_CFLAGS C compiler flags for ZLIB, overriding pkg-config
  ZLIB_LIBS   linker flags for ZLIB, overriding pkg-config
  READLINE_CFLAGS
              C compiler flags for READLINE, overriding pkg-config
  READLINE_LIBS
              linker flags for READLINE, overriding pkg-config
  DNSTAP_CFLAGS
              C compiler flags for DNSTAP, overriding pkg-config
  DNSTAP_LIBS linker flags for DNSTAP, overriding pkg-config
  SPHINX_BUILD
              path to sphinx-build binary used to build the documentation
  LIBIDN2_CFLAGS
              C compiler flags for LIBIDN2, overriding pkg-config
  LIBIDN2_LIBS
              linker flags for LIBIDN2, overriding pkg-config
  CMOCKA_CFLAGS
              C compiler flags for CMOCKA, overriding pkg-config
  CMOCKA_LIBS linker flags for CMOCKA, overriding pkg-config
  JEMALLOC_CFLAGS
              C compiler flags for JEMALLOC, overriding pkg-config
  JEMALLOC_LIBS
              linker flags for JEMALLOC, overriding pkg-config

Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.

Report bugs to <https://gitlab.isc.org/isc-projects/bind9/-/issues/new?issuable_template=Bug>.
BIND home page: <https://www.isc.org/downloads/>.
